
QGIS Application - Bug report #19744

QGIS 3.3.0-master (b55ab2e6d4) crashes upon closing

2018-08-31 10:38 PM - Andrea Giudiceandrea

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows 6 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27569

Description

User Feedback

Closing QGIS. Just run QGIS and close it.

Windows 7 64 bit

QGIS 3.3.0-master (b55ab2e6d4)

from OSGeo4W (qgis-dev-3.3.0-54)

Debug messages:

[5388] ..\..\..\src\core\qgsmapsettings.cpp(536) : (QgsMapSettings::fullExtent) [9602ms] Layer count: 0

[5388] ..\..\..\src\core\geometry\qgsrectangle.cpp(145) : (QgsRectangle::toString) [1ms] Extents : Empty

[5388] ..\..\..\src\core\qgsmapsettings.cpp(580) : (QgsMapSettings::fullExtent) [0ms] Full extent: Empty

[5388] ..\..\..\src\gui\qgsmapcanvas.cpp(502) : (QgsMapCanvas::refresh) [1ms] CANVAS refresh scheduling

[5388] ..\..\..\src\gui\qgsmapcanvas.cpp(2132) : (QgsMapCanvas::mapToolDestroyed) [245ms] maptool destroyed

[5388] ..\..\..\src\app\qgscrashhandler.cpp(34) : (QgsCrashHandler::handle) [23ms] CRASH!!!

[5388] ..\..\..\src\app\qgscrashhandler.cpp(57) : (QgsCrashHandler::handle) [1ms]

C:/Users/Andrea/AppData/Local/Temp/qgis-crash-info-5388

[5388] ..\..\..\src\app\qgscrashhandler.cpp(102) : (QgsCrashHandler::handle) [7ms]

C:/PROGRA~1/QGIS3~1.1/apps/qgis-dev/qgiscrashhandler.exe

Report Details

Crash ID: 00df741d773cd9c59e9ca0d7ec200be965c8c719

Stack Trace

QgsNative::openFileExplorerAndSelectFile :

QgsNative::openFileExplorerAndSelectFile :

QgsNative::openFileExplorerAndSelectFile :

QgsNative::openFileExplorerAndSelectFile :

QgisApp::removePluginToolBarIcon :

QgisApp::removePluginToolBarIcon :

QgisApp::removePluginToolBarIcon :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.3.0-Master

QGIS code revision: commit:b55ab2e6d4

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64
Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-08-31 11:10 PM - Nyall Dawson

- Status changed from Open to Feedback

Is this with a clean profile?

#2 - 2018-09-01 05:21 AM - Andrea Giudiceandrea

Yes, it crashes upon closing with a new profile and also after deleting AppData\QGIS\QGIS3.

#3 - 2018-09-01 04:25 PM - Andreas Neumann

Same for me on Linux (self compiled)

I get a message "Corrupted double link list" in the console on closing and then a crash dump.

I haven't yet tested with deleting profiles and/or plugins

#4 - 2018-09-01 05:35 PM - Johannes Kroeger

No crash here:

QGIS version

3.3.0-Master

QGIS code revision

4ae23b6422

Compiled against Qt

5.11.1

Running against Qt

5.11.1

Compiled against GDAL/OGR

2.4.0dev-b19fd35e6f-dirty

Running against GDAL/OGR

2.4.0dev-b19fd35e6f-dirty

Compiled against GEOS

3.6.2-CAPI-1.10.2

Running against GEOS

3.6.2-CAPI-1.10.2 4d2925d6

PostgreSQL Client Version

10.5

SpatiaLite Version

4.3.0a

QWT Version

6.1.3

QScintilla2 Version

2.10.7

2024-03-13 2/6



Compiled against PROJ

510

Running against PROJ

5.1.0

#5 - 2018-09-02 05:00 PM - Giovanni Manghi

- Category changed from Unknown to Build/Install

no crash here installing master on kubuntu 18.04 from QGIS repos.

#6 - 2018-09-04 06:17 PM - Andrea Giudiceandrea

Always crashing on my system upon closing also with 3.3.0-58 (828061b709).

QGIS 2.18.23-1 and 3.2.2-1 do not crash on the same system.

Crash ID: 7406f11a799aa8eeb184d17d94dc3ba062acdb73

Stack Trace

QgsNative::openFileExplorerAndSelectFile :

QgsNative::openFileExplorerAndSelectFile :

QgsNative::openFileExplorerAndSelectFile :

QgsNative::openFileExplorerAndSelectFile :

QgsVertexTool::qt_metacast :

QgsVertexTool::qt_metacast :

QgsVertexTool::qt_metacast :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.3.0-Master

QGIS code revision: 828061b709

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

DebugView reports:

[3128] ..\..\..\src\core\qgsmapsettings.cpp(536) : (QgsMapSettings::fullExtent) [27681ms] Layer count: 0

[3128] ..\..\..\src\core\geometry\qgsrectangle.cpp(145) : (QgsRectangle::toString) [0ms] Extents : Empty

[3128] ..\..\..\src\core\qgsmapsettings.cpp(580) : (QgsMapSettings::fullExtent) [0ms] Full extent: Empty

[3128] ..\..\..\src\gui\qgsmapcanvas.cpp(502) : (QgsMapCanvas::refresh) [2ms] CANVAS refresh scheduling

[3128] ..\..\..\src\gui\qgsmapcanvas.cpp(2132) : (QgsMapCanvas::mapToolDestroyed) [3354ms] maptool destroyed
[3128] ..\..\..\src\app\qgscrashhandler.cpp(34) : (QgsCrashHandler::handle) [55ms] CRASH!!!

[3128] ..\..\..\src\app\qgscrashhandler.cpp(57) : (QgsCrashHandler::handle) [1ms] C:/Users/Andrea/AppData/Local/Temp/qgis-crash-info-3128

[3128] ..\..\..\src\app\qgscrashhandler.cpp(102) : (QgsCrashHandler::handle) [11ms]

C:/PROGRA~1/QGIS3~1.3/apps/qgis-dev/qgiscrashhandler.exe

MSVC 2017 debugger attached reports:

The thread 0x524 has exited with code 0 (0x0).

..\..\..\src\core\qgsmapsettings.cpp(536) : (QgsMapSettings::fullExtent) [87423ms] Layer count: 0

..\..\..\src\core\geometry\qgsrectangle.cpp(145) : (QgsRectangle::toString) [1ms] Extents : Empty

..\..\..\src\core\qgsmapsettings.cpp(580) : (QgsMapSettings::fullExtent) [0ms] Full extent: Empty

..\..\..\src\gui\qgsmapcanvas.cpp(502) : (QgsMapCanvas::refresh) [2ms] CANVAS refresh scheduling

Exception thrown at 0x000007FEFD96A06D (KernelBase.dll) in qgis-dev-bin-g7.4.1.exe: 0x0000000D: Dati non validi.

The thread 0x1db0 has exited with code 0 (0x0).

..\..\..\src\gui\qgsmapcanvas.cpp(2132) : (QgsMapCanvas::mapToolDestroyed) [279ms] maptool destroyed

Exception thrown at 0x0000000000000000 in qgis-dev-bin-g7.4.1.exe: 0xC0000005: Access violation executing location 0x0000000000000000.

#7 - 2018-09-11 01:23 PM - Roberto Uhlig

User Feedback

osgeo4w latest master

new (clean without any import) profile

hitting strg-q few seconds after QGIS has started.

nothing done in the gui.

Report Details

Crash ID: adf7aa78bab86c1bd32ff505ddd45a7fce98afb8

Stack Trace

WinToastStringWrapper::WinToastStringWrapper wintoastlib.cpp:107

WinToastLib::WinToast::notifier wintoastlib.cpp:689

WinToastLib::WinToast::clear wintoastlib.cpp:716

QgsWinNative::cleanup qgswinnative.cpp:64

QgisApp::~QgisApp qgisapp.cpp:1545

QgisApp::`vector deleting destructor' :

main main.cpp:1500

WinMain mainwin.cpp:170

__scrt_common_main_seh exe_common.inl:253

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.3.0-Master

QGIS code revision: commit:69a5de1cdb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

2024-03-13 4/6



DebugView

[7756] ..\..\..\src\providers\wms\qgstilescalewidget.cpp(128) : (QgsTileScaleWidget::showTileScale) [0ms] canvas:2c5cf70 [theMapCanvas]

[7756] ..\..\..\src\gui\qgsmapcanvas.cpp(484) : (QgsMapCanvas::refresh) [16ms] CANVAS refresh - invalid settings -> nothing to do

[7756] ..\..\..\src\gui\qgsmapcanvas.cpp(484) : (QgsMapCanvas::refresh) [15ms] CANVAS refresh - invalid settings -> nothing to do

[7756] ..\..\..\src\gui\qgsmapcanvas.cpp(395) : (QgsMapCanvas::setDestinationCrs) [0ms] refreshing after destination CRS changed

[7756] ..\..\..\src\gui\qgsmapcanvas.cpp(484) : (QgsMapCanvas::refresh) [0ms] CANVAS refresh - invalid settings -> nothing to do

[7756] ..\..\..\src\gui\qgsmapcanvas.cpp(484) : (QgsMapCanvas::refresh) [31ms] CANVAS refresh - invalid settings -> nothing to do

[7756] ..\..\..\src\gui\qgsmaptool.cpp(91) : (QgsMapTool::activate) [0ms] Cursor has been set

[7756] ..\..\..\src\core\qgsruntimeprofiler.cpp(54) : (QgsRuntimeProfiler::end) [0ms] PROFILE: qgisapp/startup/New project - 0.046

[7756] ..\..\..\src\app\qgisapp.cpp(1387) : (QgisApp::QgisApp) [0ms] PROFILE TIMES

[7756] ..\..\..\src\app\qgisapp.cpp(1388) : (QgisApp::QgisApp) [0ms] PROFILE TIMES TOTAL - 2.448 

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - User profile manager - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Setting up UI - 0.094

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Checking database - 0.312

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Creating theme folder - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Building style sheet - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Creating map canvas - 0.016

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Welcome page - 0.047

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Message bar - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/User input dock - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Layer tree - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Undo dock - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Advanced digitize panel - 0.016

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Stats dock - 0.015

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Bookmarks widget - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Snapping utils - 0.016

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Create menus - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Create actions - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Create action group - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Toolbars - 0.016

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Status bar - 0.015

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Create canvas tools - 0.031

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Init Layer tree view - 0.016

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Create overview - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Create map tips - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Create decorations - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Read settings - 0.078

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Update project from templates - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Legend layer selection changed - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Initialize 3D support - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Initialize native processing - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Initialize layouts support - 0.016

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Update recent project paths - 0.171

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Plugin manager - 0.078

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Layer Style dock - 0.015

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Snapping dialog - 0.015

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/initPluginInstaller - 0.141

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Restore window state - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Update customization on main window - 0

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Populate saved styles - 1.076

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/Show main window - 0.218

[7756] ..\..\..\src\app\qgisapp.cpp(1396) : (QgisApp::QgisApp) [0ms]  - qgisapp/startup/New project - 0.046

[7756] ..\..\..\src\gui\qgsmapcanvas.cpp(484) : (QgsMapCanvas::refresh) [5305ms] CANVAS refresh - invalid settings -> nothing to do

[7756] ..\..\..\src\gui\qgsmapcanvas.cpp(2132) : (QgsMapCanvas::mapToolDestroyed) [297ms] maptool destroyed

[7756] ..\..\..\src\app\qgscrashhandler.cpp(34) : (QgsCrashHandler::handle) [47ms] CRASH!!!

[7756] ..\..\..\src\app\qgscrashhandler.cpp(57) : (QgsCrashHandler::handle) [0ms] C:/Users/avfuhlig/AppData/Local/Temp/qgis-crash-info-7756

[7756] ..\..\..\src\app\qgscrashhandler.cpp(102) : (QgsCrashHandler::handle) [0ms] C:/OSGEO4~2/apps/qgis-dev/qgiscrashhandler.exe

#8 - 2018-09-17 01:40 AM - Nyall Dawson

- Status changed from Feedback to In Progress

https://github.com/qgis/QGIS/pull/7919

#9 - 2018-09-18 11:21 AM - Andrea Giudiceandrea

The bug is now fixed for me.
QGIS 3.3.0-master (d99d506e75) doesn't crash anymore upon closing on my system.

#10 - 2018-09-18 11:24 AM - Roberto Uhlig

Confirmed. Doesn't crash upon closing!

#11 - 2018-09-18 12:43 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
